Index: /extensions/HistoryIPExcluder/branches/2.2/admin/HIPE_admin.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.2/admin/HIPE_admin.php	(revision 12150)
+++ /extensions/HistoryIPExcluder/branches/2.2/admin/HIPE_admin.php	(revision 12151)
@@ -42,13 +42,6 @@
     'Version'   => $version,
   );
-  
-  $conf['HistoryIPConfig'] = serialize($newconf_HIPE);
-
-  $query = '
-    UPDATE '.CONFIG_TABLE.'
-    SET value="'.addslashes($conf['HistoryIPConfig']).'"
-    WHERE param="HistoryIPConfig"
-    LIMIT 1';
-  pwg_query($query);
+
+  conf_update_param('HistoryIPConfig', pwg_db_real_escape_string(serialize($newconf_HIPE)));
 
   // information message
Index: /extensions/HistoryIPExcluder/branches/2.2/include/dbupgrade.inc.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.2/include/dbupgrade.inc.php	(revision 12150)
+++ /extensions/HistoryIPExcluder/branches/2.2/include/dbupgrade.inc.php	(revision 12151)
@@ -3,5 +3,5 @@
 /* Database upgrading functions */
 
-// This wil update only current plugin version number in database
+// This will update only current plugin version number in database
 function global_version_update()
 {
@@ -25,15 +25,6 @@
   
   $Newconf_HIPE['Version'] = $version;
-  
-  $update_conf = serialize($Newconf_HIPE);
 
-  $query = '
-UPDATE '.CONFIG_TABLE.'
-SET value="'.addslashes($update_conf).'"
-WHERE param="HistoryIPConfig"
-LIMIT 1
-;';
-
-	pwg_query($query);
+  conf_update_param('HistoryIPConfig', pwg_db_real_escape_string(serialize($Newconf_HIPE)));
 }
 
@@ -71,5 +62,5 @@
   $q = '
 INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-VALUES ("HistoryIPConfig","'.addslashes(serialize($default)).'","History IP Excluder options");
+VALUES ("HistoryIPConfig","'.pwg_db_real_escape_string(serialize($default)).'","History IP Excluder options");
 ';
       
Index: /extensions/HistoryIPExcluder/branches/2.2/language/it_IT/index.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.2/language/it_IT/index.php	(revision 12150)
+++ /extensions/HistoryIPExcluder/branches/2.2/language/it_IT/index.php	(revision 12151)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
-// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
-// | last modifier : $Author: rub $
-// | revision      : $Revision: 1912 $
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/HistoryIPExcluder/branches/2.2/main.inc.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.2/main.inc.php	(revision 12150)
+++ /extensions/HistoryIPExcluder/branches/2.2/main.inc.php	(revision 12151)
@@ -32,5 +32,4 @@
 
 2.2.3             - Improved update mechanism. When no structural update of database is necessary, it sets the correct version number in plugin's configuration
-
 --------------------------------------------------------------------------------
 */
Index: /extensions/HistoryIPExcluder/branches/2.2/maintain.inc.php
===================================================================
--- /extensions/HistoryIPExcluder/branches/2.2/maintain.inc.php	(revision 12150)
+++ /extensions/HistoryIPExcluder/branches/2.2/maintain.inc.php	(revision 12151)
@@ -49,5 +49,5 @@
     $q = '
 INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
-VALUES ("HistoryIPConfig","'.addslashes(serialize($default)).'","History IP Excluder options");
+VALUES ("HistoryIPConfig","'.pwg_db_real_escape_string(serialize($default)).'","History IP Excluder options");
 ';
     pwg_query($q);