Index: /extensions/stripped/admin/admin.inc.php
===================================================================
--- /extensions/stripped/admin/admin.inc.php	(revision 12152)
+++ /extensions/stripped/admin/admin.inc.php	(revision 12153)
@@ -25,12 +25,16 @@
 	$config['infoTabAdminOnly']=isset($_POST['f_infoTabAdminOnly']);
 	$config['defaultTab']=$_POST['f_defaultTab'];
+	$config['defaultZoomSize']=$_POST['f_defaultZoomSize'];
 	$config['imageAutosize']=isset($_POST['f_imageAutosize']);
 	$config['imageAutosizeTitle']=isset($_POST['f_imageAutosizeTitle']);
 	if (isset($_POST['f_imageAutosizeMargin'])) { $config['imageAutosizeMargin']=intval($_REQUEST['f_imageAutosizeMargin']); }
 	if (isset($_POST['f_imageAutosizeMinHeight'])) { $config['imageAutosizeMinHeight']=intval($_REQUEST['f_imageAutosizeMinHeight']); }
+	$config['imagePreload']=isset($_POST['f_imagePreload']);
+	$config['imagePreloadNb']=$_POST['f_imagePreloadNb'];
+	$config['imagePreloadThumbs']=isset($_POST['f_imagePreloadThumbs']);
+	$config['imagePreloadHD']=false;
 	$config['navThumbsFade']=150;
 	$config['marginContainer']=30;
 	$config['paddingContainer']=10;
-	$config['defaultZoomSize']='full';
 	$config['highResClickMode']='zoom';
 
Index: /extensions/stripped/admin/admin.tpl
===================================================================
--- /extensions/stripped/admin/admin.tpl	(revision 12152)
+++ /extensions/stripped/admin/admin.tpl	(revision 12153)
@@ -65,4 +65,11 @@
 					</select>
 				</label></li>
+				<li><label>
+					<span class="property">{'HD picture default display'|@translate}</span>&nbsp;
+					<select name="f_defaultZoomSize">
+						<option value="fit" {if ($options.defaultZoomSize=="fit")}selected{/if}>{'fit to screen'|@translate}</option>
+						<option value="full" {if ($options.defaultZoomSize=="full")}selected{/if}>{'full size'|@translate}</option>
+					</select>
+				</label></li>
 			</ul>
 		</fieldset>
@@ -92,4 +99,36 @@
 			</fieldset>
 		</fieldset>
+		<fieldset>
+			<legend>{'Image preloading options'|@translate}</legend>
+			<ul>
+				<li><label>
+					<span class="property" >{'Activate image preloading'|@translate}</span>&nbsp;
+					<input type="checkbox" name="f_imagePreload" {if $options.imagePreload}checked{/if}>
+				</label></li>
+			</ul>
+			<fieldset style="width:80%; margin:auto;">
+				<ul>
+					<li><label>
+						<span class="property">{'On picture page, number of next images to preload'|@translate}</span>&nbsp;
+						<select name="f_imagePreloadNb">
+							<option value=1 {if ($options.imagePreloadNb==1)}selected{/if}>1</option>
+							<option value=2 {if ($options.imagePreloadNb==2)}selected{/if}>2</option>
+							<option value=3 {if ($options.imagePreloadNb==3)}selected{/if}>3</option>
+							<option value=4 {if ($options.imagePreloadNb==4)}selected{/if}>4</option>
+							<option value=5 {if ($options.imagePreloadNb==5)}selected{/if}>5</option>
+							<option value=6 {if ($options.imagePreloadNb==6)}selected{/if}>6</option>
+							<option value=7 {if ($options.imagePreloadNb==7)}selected{/if}>7</option>
+							<option value=8 {if ($options.imagePreloadNb==8)}selected{/if}>8</option>
+							<option value=9 {if ($options.imagePreloadNb==9)}selected{/if}>9</option>
+							<option value=10 {if ($options.imagePreloadNb==10)}selected{/if}>10</option>
+						</select>
+					</label></li>
+					<li><label>
+						<span class="property">{'Preload images on thumbnails page'|@translate}</span>&nbsp;
+						<input type="checkbox" name="f_imagePreloadThumbs" {if $options.imagePreloadThumbs}checked{/if}>
+					</label></li>
+				</ul>
+			</fieldset>
+		</fieldset>
 	</div>
 	<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit_stripped" /></p>
Index: /extensions/stripped/admin/maintain.inc.php
===================================================================
--- /extensions/stripped/admin/maintain.inc.php	(revision 12152)
+++ /extensions/stripped/admin/maintain.inc.php	(revision 12153)
@@ -23,8 +23,12 @@
 	'imageAutosizeMargin'			=> 60,
 	'imageAutosizeMinHeight'		=> 200,
+	'imagePreload'					=> false,
+	'imagePreloadNb'				=> 5,
+	'imagePreloadThumbs'			=> false,
+	'imagePreloadHD'				=> false,
 	'navThumbsFade'					=> 150,
 	'marginContainer'				=> 30,
 	'paddingContainer'				=> 10,
-	'defaultZoomSize'				=> 'full',
+	'defaultZoomSize'				=> 'fit',
 	'highResClickMode'				=> 'zoom',
       );
Index: /extensions/stripped/admin/upgrade.inc.php
===================================================================
--- /extensions/stripped/admin/upgrade.inc.php	(revision 12152)
+++ /extensions/stripped/admin/upgrade.inc.php	(revision 12153)
@@ -23,8 +23,12 @@
 	'imageAutosizeMargin'			=> 60,
 	'imageAutosizeMinHeight'		=> 200,
+	'imagePreload'					=> false,
+	'imagePreloadNb'				=> 5,
+	'imagePreloadThumbs'			=> false,
+	'imagePreloadHD'				=> false,
 	'navThumbsFade'					=> 150,
 	'marginContainer'				=> 30,
 	'paddingContainer'				=> 10,
-	'defaultZoomSize'				=> 'full',
+	'defaultZoomSize'				=> 'fit',
 	'highResClickMode'				=> 'zoom',
       );
Index: /extensions/stripped/js/preload.js
===================================================================
--- /extensions/stripped/js/preload.js	(revision 12153)
+++ /extensions/stripped/js/preload.js	(revision 12153)
@@ -0,0 +1,19 @@
+$(window).load(function() {
+    setTimeout(function() {
+     // Prefetch all files referenced in prefetch tags
+     var $prefetchTags = jQuery('HEAD LINK[rel=prefetch][href]');
+
+     // preload all prefetched image links
+     $prefetchTags.filter('[href$=.jpg],[href$=.jpeg]')
+     .each(function() {
+             new Image().src = this.href;
+     });
+	 
+     // preload all images with class=preload
+	 var $preload = jQuery(".preload");
+     $preload.each(function() {
+            new Image().src = jQuery(this).html();
+     });
+
+    }, 0);
+});
Index: /extensions/stripped/language/en_UK/theme.lang.php
===================================================================
--- /extensions/stripped/language/en_UK/theme.lang.php	(revision 12152)
+++ /extensions/stripped/language/en_UK/theme.lang.php	(revision 12153)
@@ -28,3 +28,10 @@
 $lang['Metadata']='Metadata';
 
+$lang['HD picture default display']='HD picture default display';
+$lang['fit to screen']='fit to screen';
+$lang['full size']='full size';
+$lang['Image preloading options']='Image preloading options';
+$lang['Activate image preloading']='Activate image preloading';
+$lang['On picture page, number of next images to preload']='On picture page, number of next images to preload';
+$lang['Preload images on thumbnails page']='Preload images on thumbnails page';
 ?>
Index: /extensions/stripped/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/stripped/language/fr_FR/theme.lang.php	(revision 12152)
+++ /extensions/stripped/language/fr_FR/theme.lang.php	(revision 12153)
@@ -28,3 +28,11 @@
 $lang['Metadata']='Meta-donn&eacute;es';
 
+$lang['HD picture default display']='Affichage par d&eacute;faut de l\'image HD';
+$lang['fit to screen']='Adapter &agrave; l\'&eacute;cran';
+$lang['full size']='Plein format';
+$lang['Image preloading options']='Options de pr&eacute;chargement des images';
+$lang['Activate image preloading']='Activer le pr&eacute;chargement des images';
+$lang['On picture page, number of next images to preload']='Sur la page image, nombre d\'images &agrave; pr&eacute;charger';
+$lang['Preload images on thumbnails page']='Pr&eacute;charger les images depuis la page des miniatures';
+
 ?>
Index: /extensions/stripped/local_head.tpl
===================================================================
--- /extensions/stripped/local_head.tpl	(revision 12152)
+++ /extensions/stripped/local_head.tpl	(revision 12153)
@@ -29,5 +29,7 @@
 		{combine_script id='scripts-tml' load='header' require='jquery' path='themes/stripped/js/scripts-tml.js'}
 	{/if}
-
+	{if isset($stripped.imagePreload)}
+		{combine_script id='preload' load='header' require='jquery' path='themes/stripped/js/preload.js'}
+	{/if}
 
   <script type="text/javascript">
Index: /extensions/stripped/readme.txt
===================================================================
--- /extensions/stripped/readme.txt	(revision 12152)
+++ /extensions/stripped/readme.txt	(revision 12153)
@@ -27,4 +27,11 @@
 Changelog
 ---------
+
+*** version 1.5.0
+
+- new option: preload images (from 1 to 10 images)
+- new option to choose HD display mode (fit to screen / 1:1)
+- some minor layout change
+- bug correction
 
 *** version 1.4.4
Index: /extensions/stripped/template/index.tpl
===================================================================
--- /extensions/stripped/template/index.tpl	(revision 12152)
+++ /extensions/stripped/template/index.tpl	(revision 12153)
@@ -24,71 +24,73 @@
 	{if ($GMaps_loaded)}<div id="text_gmaps" style="display:none">{'GMap'|@translate}</div>{/if}
 </div>
-<div id="content" {if !$stripped.hideMenu}class="menuShown"{/if} cellpadding="0px" cellspacing="0px">
+<div id="content" {if !$stripped.hideMenu}class="menuShown"{/if}>
 	{$MENUBAR}
-	<div id="subcontent">
-		{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
-		{if isset($chronology.TITLE) }
-			<h2>{$chronology.TITLE}</h2>
-		{/if}
-		{if isset($chronology_views) }
-			{if isset($U_MODE_POSTED) }
-				<a href="{$U_MODE_POSTED}" rel="nofollow">{'display a calendar by posted date'|@translate}</a>
+	<div id="content_cell">
+		<div id="subcontent">
+			{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
+			{if isset($chronology.TITLE) }
+				<h2>{$chronology.TITLE}</h2>
 			{/if}
-			{if isset($U_MODE_CREATED) }
-				<a href="{$U_MODE_CREATED}" rel="nofollow">{'display a calendar by creation date'|@translate}</a>
+			{if isset($chronology_views) }
+				{if isset($U_MODE_POSTED) }
+					<a href="{$U_MODE_POSTED}" rel="nofollow">{'display a calendar by posted date'|@translate}</a>
+				{/if}
+				{if isset($U_MODE_CREATED) }
+					<a href="{$U_MODE_CREATED}" rel="nofollow">{'display a calendar by creation date'|@translate}</a>
+				{/if}
+				<div class="calendarViews">{'View'|@translate}:
+					<select onchange="document.location = this.options[this.selectedIndex].value;">
+						{foreach from=$chronology_views item=view}
+							<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+						{/foreach}
+					</select>
+				</div>
 			{/if}
-			<div class="calendarViews">{'View'|@translate}:
-				<select onchange="document.location = this.options[this.selectedIndex].value;">
-					{foreach from=$chronology_views item=view}
-						<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
-					{/foreach}
-				</select>
-			</div>
-		{/if}
 
-		{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}<div class="content_block">{$PLUGIN_INDEX_CONTENT_BEGIN}</div>{/if}
-		{if !empty($category_search_results) }
-			<div>{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
-				{foreach from=$category_search_results item=res name=res_loop}
-				{if !$smarty.foreach.res_loop.first} &mdash; {/if}
-				{$res}
-				{/foreach}
-			</div>
-		{/if}
-		{if !empty($tag_search_results) }
-			<div>{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
-				{foreach from=$tag_search_results item=res name=res_loop}
+			{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}<div class="content_block">{$PLUGIN_INDEX_CONTENT_BEGIN}</div>{/if}
+			{if !empty($category_search_results) }
+				<div>{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+					{foreach from=$category_search_results item=res name=res_loop}
 					{if !$smarty.foreach.res_loop.first} &mdash; {/if}
 					{$res}
-				{/foreach}
-			</div>
-		{/if}
-		{if isset($FILE_CHRONOLOGY_VIEW) }
-			{include file=$FILE_CHRONOLOGY_VIEW}
-		{/if}
+					{/foreach}
+				</div>
+			{/if}
+			{if !empty($tag_search_results) }
+				<div>{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+					{foreach from=$tag_search_results item=res name=res_loop}
+						{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+						{$res}
+					{/foreach}
+				</div>
+			{/if}
+			{if isset($FILE_CHRONOLOGY_VIEW) }
+				{include file=$FILE_CHRONOLOGY_VIEW}
+			{/if}
 
-		{if !empty($CONTENT_DESCRIPTION) }
-			<div class="content_block"><div class="additional_info">
-				{$CONTENT_DESCRIPTION}
-			</div></div>
-		{/if}
+			{if !empty($CONTENT_DESCRIPTION) }
+				<div class="content_block"><div class="additional_info">
+					{$CONTENT_DESCRIPTION}
+				</div></div>
+			{/if}
 
-		{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
-		{if !empty($THUMBNAILS) }
-			<div id="thumbnails_block1">
-				<div id="thumbnails_block2">
-					<div class="thumbnails" id="thumbnails">{$THUMBNAILS}</div>
-					{if !empty($navbar) }
-						{include file='navigation_thumb.tpl'|@get_extent:'navbar'}
-					{/if}
+			{if !empty($CATEGORIES) }{$CATEGORIES}{/if}
+			{if !empty($THUMBNAILS) }
+				<div id="thumbnails_block1">
+					<div id="thumbnails_block2">
+						<div class="thumbnails" id="thumbnails">{$THUMBNAILS}</div>
+						{if !empty($navbar) }
+							{include file='navigation_thumb.tpl'|@get_extent:'navbar'}
+						{/if}
+					</div>
+						{if !empty($navbar) }
+							{include file='navigation_bar.tpl'|@get_extent:'navbar'}
+						{/if}
 				</div>
-					{if !empty($navbar) }
-						{include file='navigation_bar.tpl'|@get_extent:'navbar'}
-					{/if}
-			</div>
-		{/if}
-		{if !empty($PLUGIN_INDEX_CONTENT_END) }<div class="content_block">{$PLUGIN_INDEX_CONTENT_END}</div>{/if}
-		{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
-	</div> <!-- subContent -->
+			{/if}
+			{if !empty($PLUGIN_INDEX_CONTENT_END) }<div class="content_block">{$PLUGIN_INDEX_CONTENT_END}</div>{/if}
+		</div> <!-- subcontent -->
+		{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}<div class="subcontent">{$PLUGIN_INDEX_CONTENT_AFTER}</div>{/if}
+	</div>
 	<div style="clear: both;"></div>
-</div> <!-- content -->
+</div> 
Index: /extensions/stripped/template/mainpage_categories.tpl
===================================================================
--- /extensions/stripped/template/mainpage_categories.tpl	(revision 12152)
+++ /extensions/stripped/template/mainpage_categories.tpl	(revision 12153)
@@ -5,5 +5,5 @@
 		<div class="illustration">
 			<a href="{$cat.URL}">
-				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'display this album'|@translate}">
+				<img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '|@strip_tags:false} - {'display this album'|@translate}">
 			</a>
 		</div>
Index: /extensions/stripped/template/picture.tpl
===================================================================
--- /extensions/stripped/template/picture.tpl	(revision 12152)
+++ /extensions/stripped/template/picture.tpl	(revision 12153)
@@ -59,11 +59,11 @@
 	</a></li>
 {/if}{/strip}{*caddie management END*}
-        {strip}{if isset($U_SLIDESHOW_START) }
-			<li><a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow">{'slideshow'|@translate}</a></li>
-        {/if}{/strip}
+	{strip}{if isset($U_SLIDESHOW_START) }
+		<li><a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" rel="nofollow">{'slideshow'|@translate}</a></li>
+	{/if}{/strip}
 		<li id="imageToolBar">
 			{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
 		</li>
-		<li class="imageNumber">{$PHOTO}</li>
+<!--		<li class="imageNumber">{$PHOTO}</li>-->
 		{php}
 			global $pwg_loaded_plugins;
@@ -375,3 +375,10 @@
     <div style="clear: both;"></div>
 </div>
+{if isset($stripped.imagePreload)}
+<div id="image_urls" style="display:none;">
+	{foreach from=$U_IMGNEXT item=u_img key=id}
+		{if isset($u_img)}<div class="next{$id} preload">{$u_img}</div>{/if}
+	{/foreach}
+</div>
+{/if}
 {if !empty($PLUGIN_PICTURE_AFTER)}{$PLUGIN_PICTURE_AFTER}{/if}
Index: /extensions/stripped/template/picture_content.tpl
===================================================================
--- /extensions/stripped/template/picture_content.tpl	(revision 12152)
+++ /extensions/stripped/template/picture_content.tpl	(revision 12153)
@@ -17,5 +17,9 @@
 			{if isset($pwghigh)}<a href="{$high.U_HIGH}" rel="shadowbox" class="hd_link">&nbsp;</a>{/if}
 			{if isset($winhigh)}<div onclick="openDisplayHigh('{$high.U_HIGH}');" class="hd_link">&nbsp;</div>{/if}
+			{if isset($stripped.imagePreloadHD)}<div class="preload" style="display:none;">{$high.U_HIGH}</div{/if}
 		{/if}
+<!--		{if isset($U_UP)}
+			<a href="{$U_UP}" class="cat_up">&nbsp;</a>
+		 {/if}-->
 		{if isset($previous)}
 			<a href="{$previous.U_IMG}" class="img_nav img_prev">&nbsp;</a>
Index: /extensions/stripped/template/picture_nav_buttons.tpl
===================================================================
--- /extensions/stripped/template/picture_nav_buttons.tpl	(revision 12152)
+++ /extensions/stripped/template/picture_nav_buttons.tpl	(revision 12153)
@@ -8,20 +8,4 @@
   {if isset($slideshow.U_START_REPEAT)}
     <a id="icon_start_repeat" class="navButton" href="{$slideshow.U_START_REPEAT}" title="{'Repeat the slideshow'|@translate}">&nbsp;</a>
-  {/if}
-
-  {if isset($first)}
-    <a id="icon_first" class="navButton" href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" rel="first">&nbsp;</a>
-  {else}
-    <a id="icon_first_0" class="navButton">&nbsp;</a>
-  {/if}
-
-  {if isset($previous)}
-    <a id="icon_left" class="navButton" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">&nbsp;</a>
-  {else}
-    <a id="icon_left_0" class="navButton">&nbsp;</a>
-  {/if}
-
-  {if isset($U_UP) and !isset($slideshow)}
-    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up">&nbsp;</a>
   {/if}
 
@@ -38,4 +22,24 @@
   {/if}
 
+ <!-- {if isset($U_SLIDESHOW_START) }
+	<a id="icon_play" class="navButton" href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}">&nbsp;</a>
+  {/if}-->
+
+<!--  {if isset($first)}
+    <a id="icon_first" class="navButton" href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" rel="first">&nbsp;</a>
+  {else}
+    <a id="icon_first_0" class="navButton">&nbsp;</a>
+  {/if}-->
+
+  {if isset($U_UP) and !isset($slideshow)}
+    <a id="icon_up" class="navButton" href="{$U_UP}" title="{'Thumbnails'|@translate}" rel="up">&nbsp;</a>
+  {/if}
+
+  {if isset($previous)}
+    <a id="icon_left" class="navButton" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">&nbsp;</a>
+  {else}
+    <a id="icon_left_0" class="navButton">&nbsp;</a>
+  {/if}
+
   {if isset($next)}
     <a id="icon_right" class="navButton" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next">&nbsp;</a>
@@ -44,9 +48,11 @@
   {/if}
 
-  {if isset($last)}
+<!--  {if isset($last)}
     <a id="icon_last" class="navButton" href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" rel="last">&nbsp;</a>
   {else}
     <a id="icon_last_0" class="navButton">&nbsp;</a>
-  {/if}
+  {/if}-->
+
+ 	<div class="imageNumber">{$PHOTO}</div>
 
 {/if}
Index: /extensions/stripped/template/slideshow.tpl
===================================================================
--- /extensions/stripped/template/slideshow.tpl	(revision 12152)
+++ /extensions/stripped/template/slideshow.tpl	(revision 12153)
@@ -14,5 +14,4 @@
 				{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
 			</li>
-			<li class="imageNumber">{$PHOTO}</li>
 		</ul>
 		<div style="clear: both;"></div>
Index: /extensions/stripped/template/thumbnails.tpl
===================================================================
--- /extensions/stripped/template/thumbnails.tpl	(revision 12152)
+++ /extensions/stripped/template/thumbnails.tpl	(revision 12153)
@@ -12,5 +12,6 @@
 				<span class="wrap2 {if !($stripped.showThumbLegend)}wrap2full{/if}">
 					<a href="{$thumbnail.URL}">
-						<img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}"{if ((isset($thumbnail.NAME))&!($downloadMulti_loaded))}title="{$thumbnail.NAME}"{else}title="{$thumbnail.TN_TITLE}{/if}" />
+						<img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" {if ((isset($thumbnail.NAME))&!($downloadMulti_loaded))}title="{$thumbnail.NAME}"{else}title="{$thumbnail.TN_TITLE}"{/if} />
+						{if (isset($stripped.imagePreload) & isset($stripped.imagePreloadThumbs))}<div class="preload" style="display:none;">{$thumbnail.FILE_PATH}</div>{/if}
 					</a>
 				</span>
Index: /extensions/stripped/theme.css
===================================================================
--- /extensions/stripped/theme.css	(revision 12152)
+++ /extensions/stripped/theme.css	(revision 12153)
@@ -13,6 +13,6 @@
 #content {
 	background: #202020;
-	border: 2px #555 solid;
-	border-width: 2px 0;
+	border: 1px #555 solid;
+	border-width: 1px 0;
 	padding:0 5px;
 }
@@ -114,8 +114,8 @@
 }
 
-#subcontent {
+#content_cell {
+	display:table-cell;
 	vertical-align:top;
 	max-width:1120px;
-	display:table-cell;
 	padding: 0;
 	margin-left: auto;
@@ -162,5 +162,5 @@
 }
 
-#subcontent h2 {
+.subcontent h2 {
 	margin: 0 0 1em;
 }
@@ -215,5 +215,5 @@
 /* Content ------------------------------------------------------------------------------------- */
 
-#subcontent .stuffs_block,
+.subcontent .stuffs_block,
 .content_block {
 	max-width: 890px;
@@ -268,8 +268,4 @@
 #menuswitcher:hover {
 	color:#ccc;
-}
-
-#menubar_container {
-	vertical-align:top;
 }
 
@@ -372,9 +368,9 @@
 }
 
-#subcontent  .stuffs_block .personal_block ul.thumbnailCategories li {
+.subcontent  .stuffs_block .personal_block ul.thumbnailCategories li {
 	background: transparent url(images/back_40.png) 0 0 no-repeat;
 }
 
-#subcontent  .stuffs_block .personal_block ul.thumbnailCategories li:hover {
+.subcontent  .stuffs_block .personal_block ul.thumbnailCategories li:hover {
 	background: transparent url(images/back_40.png) 0 -170px no-repeat;
 	color:#666;
@@ -458,5 +454,5 @@
 	width: auto;
 	text-align: center;
-	padding: 0 0 1em 0;
+	padding: 0;
 }
 
@@ -475,5 +471,5 @@
 }
 
-#subcontent .stuffs_block ul {
+.subcontent .stuffs_block ul {
 	max-width:720px;
 	margin-top:5px;
@@ -728,4 +724,5 @@
 	-webkit-border-radius:10px;
 	border-radius:10px;
+	text-transform:none;
 }
 
@@ -741,4 +738,7 @@
 	display:inline;
 	font-weight:normal;
+	float:left;
+	min-width:35px;
+	text-align:center;
 }
 
@@ -876,4 +876,18 @@
 }
 
+.cat_up {
+	position:absolute;
+	width:100%;
+	min-height:80px;
+	height:25%;
+	top:0;
+	left:0;
+	display:block;
+	background:transparent url(icon/none.png) no-repeat center top;
+	}
+.cat_up:hover {
+	background:transparent url(icon/cat_up.png) no-repeat center top;
+}
+
 /* HD Picture Box ------------------------------------------------------------------------------ */
 
@@ -888,5 +902,5 @@
 
 #theImgHighBg {
-	position:absolute;
+	position:fixed;
 	top:0px;
 	left:0px;
@@ -955,9 +969,9 @@
 #imageToolBar .navButton {
 	display:inline;
-	width:20px;
-	height:20px;
+	width:24px;
+	height:24px;
 	float:left;
-	margin:0 2px;
-	background-image: url(icon/picture.png);
+	margin:-1px 0 0;
+	background-image: url(icon/picture_24.png);
 	background-repeat: no-repeat;
 	overflow:hidden;
@@ -965,31 +979,39 @@
 
 #icon_first_0				{	background-position: 0 		0		}
-#icon_first 					{	background-position: 0 		-20px	}
-#icon_first:hover			{	background-position: 0 		-40px	}
-#icon_left_0				{	background-position: -20px	0		}
-#icon_left 					{	background-position: -20px 	-20px	}
-#icon_left:hover 			{	background-position: -20px 	-40px	}
-#icon_up 					{	background-position: -40px	-20px	}
-#icon_up:hover 				{	background-position: -40px	-40px	}
-#icon_stop 					{	background-position: -60px 	-20px	}
-#icon_stop:hover 			{	background-position: -60px	-40px	}
-#icon_pause 					{	background-position: -80px 	-20px	}
-#icon_pause:hover 			{	background-position: -80px 	-40px	}
-#icon_play 					{	background-position: -100px	-20px	}
-#icon_play:hover 			{	background-position: -100px	-40px	}
-#icon_right_0				{	background-position: -120px 0		}
-#icon_right 					{	background-position: -120px	-20px	}
-#icon_right:hover			{	background-position: -120px -40px	}
-#icon_last_0				{	background-position: -140px 0		}
-#icon_last					{	background-position: -140px	-20px	}
-#icon_last:hover 			{	background-position: -140px -40px	}
-#icon_stop_repeat 			{	background-position: -160px -20px	}
-#icon_stop_repeat:hover 		{	background-position: -160px -40px	}
-#icon_start_repeat		 	{	background-position: -180px -20px	}
-#icon_start_repeat:hover	{	background-position: -180px -40px	}
-#icon_inc_period 			{	background-position: -200px	-20px	}
-#icon_inc_period:hover 		{	background-position: -200px -40px	}
-#icon_dec_period 			{	background-position: -220px -20px	}
-#icon_dec_period:hover		{	background-position: -220px -40px	}
+#icon_first 					{	background-position: 0 		-24px	}
+#icon_first:hover			{	background-position: 0 		-48px	}
+#icon_left_0				{	background-position: -24px	0		}
+#icon_left 					{	background-position: -24px 	-24px	}
+#icon_left:hover 			{	background-position: -24px 	-48px	}
+#icon_up 					{	background-position: -48px	-24px	}
+#icon_up:hover 				{	background-position: -48px	-48px	}
+#icon_stop 					{	background-position: -72px 	-24px	}
+#icon_stop:hover 			{	background-position: -72px	-48px	}
+#icon_pause 					{	background-position: -96px 	-24px	}
+#icon_pause:hover 			{	background-position: -96px 	-48px	}
+#icon_play 					{	background-position: -120px	-24px	}
+#icon_play:hover 			{	background-position: -120px	-48px	}
+#icon_right_0				{	background-position: -144px 0		}
+#icon_right 					{	background-position: -144px	-24px	}
+#icon_right:hover			{	background-position: -144px -48px	}
+#icon_last_0				{	background-position: -168px 0		}
+#icon_last					{	background-position: -168px	-24px	}
+#icon_last:hover 			{	background-position: -168px -48px	}
+#icon_stop_repeat 			{	background-position: -192px -24px	}
+#icon_stop_repeat:hover 		{	background-position: -192px -48px	}
+#icon_start_repeat		 	{	background-position: -216px -24px	}
+#icon_start_repeat:hover	{	background-position: -216px -48px	}
+#icon_inc_period 			{	background-position: -240px	-24px	}
+#icon_inc_period:hover 		{	background-position: -240px -48px	}
+#icon_dec_period 			{	background-position: -264px -24px	}
+#icon_dec_period:hover		{	background-position: -264px -48px	}
+
+#imageToolBar #icon_stop_repeat,
+#imageToolBar #icon_start_repeat,
+#imageToolBar #icon_pause { display:none; }
+
+#light_slideshow #icon_stop_repeat,
+#light_slideshow #icon_start_repeat,
+#light_slideshow #icon_pause { display:inline; }
 
 /* Tabs ---------------------------------------------------------------------------------------- */
@@ -997,5 +1019,5 @@
 #tabTitleBar {
 	height: 25px;
-	border-top: 2px solid #555;
+	border-top: 1px solid #555;
 }
 
@@ -1098,7 +1120,7 @@
 
 #light_slideshow #content {
-	background-color: #161616;
-	border: 2px #222 solid;
-	border-width: 2px 0;
+	background-color: #101010;
+	border: 1px #101010 solid;
+	border-width: 1px 0;
 }
 
@@ -1118,5 +1140,5 @@
 /* Comments ------------------------------------------------------------------------------------ */
 
-#subcontent .stuffs_block #comments ul.thumbnailCategories,
+.subcontent .stuffs_block #comments ul.thumbnailCategories,
 #comments ul {
 	max-width:100%;
@@ -1137,5 +1159,5 @@
 }
 
-#subcontent .stuffs_block #comments li {
+.subcontent .stuffs_block #comments li {
 	background:#505050;
 }
@@ -1345,4 +1367,6 @@
 	text-align: right;
 }
+
+#theTagsPage #content table {width:100%}
 
 /* Calendar ------------------------------------------------------------------------------------ */
@@ -1618,5 +1642,5 @@
 /* PWG Stuffs Plugin --------------------------------------------------------------------------- */
 
-#subcontent .stuffs_block .stuffs {
+.subcontent .stuffs_block .stuffs {
 	max-width:890px;
 	padding:0;
@@ -1627,7 +1651,7 @@
 }
 
-#subcontent .stuffs_block .left_block,
-#subcontent .stuffs_block .right_block,
-#subcontent .stuffs_block .middle_block {
+.subcontent .stuffs_block .left_block,
+.subcontent .stuffs_block .right_block,
+.subcontent .stuffs_block .middle_block {
 	color:#999;
 	max-width:870px;
@@ -1640,12 +1664,12 @@
 }
 
-#subcontent .stuffs_block .left_block {
+.subcontent .stuffs_block .left_block {
 	margin: 5px 10px 0 0;
 }
 
-#subcontent .stuffs_block .right_block {
+.subcontent .stuffs_block .right_block {
 	margin: 5px 0 0 10px;
 }
-#subcontent .stuffs_block .middle_block {
+.subcontent .stuffs_block .middle_block {
 	margin: 5px 0;
 }
Index: /extensions/stripped/themeconf.inc.php
===================================================================
--- /extensions/stripped/themeconf.inc.php	(revision 12152)
+++ /extensions/stripped/themeconf.inc.php	(revision 12153)
@@ -12,5 +12,5 @@
 // Need upgrade?
 
-global $conf;
+global $conf, $user;
 
 if (!isset($conf['stripped']))
@@ -56,3 +56,66 @@
 }
 
+$config = unserialize( $conf['stripped'] );
+
+if (isset($config['imagePreload']) && ($user['theme'] == 'stripped')) {
+	add_event_handler('loc_end_picture', 'assign_next_images_url');
+
+	function assign_next_images_url()
+	{
+		global $page, $template, $conf;
+
+		$config = unserialize( $conf['stripped'] );
+		
+		$nb_image =$config['imagePreloadNb'];
+		$nb_max = $page['last_rank'] - $page['current_rank'];
+		$nb_image = min ($nb_image, $nb_max);
+
+		if ($nb_image < 1) return;
+
+		for ($n = 1; $n <= $nb_image; $n++) {
+			$pagenext[$n] = $page['items'][ $page['current_rank'] + $n ];
+		}
+
+		$picturenext = array();
+		$idnext = array();
+
+		for ($n = 1; $n <= $nb_image; $n++) {
+			array_push($idnext, $pagenext[$n]);
+		}
+
+		$query = '
+		SELECT *
+		  FROM '.IMAGES_TABLE.'
+		  WHERE id IN ('.implode(',', $idnext).')
+		;';
+
+		$result = pwg_query($query);
+
+		while ($rownext = pwg_db_fetch_assoc($result))
+		{
+			for ($n = 1; $n <= $nb_image; $n++) {
+				if (isset($pagenext[$n]) and $rownext['id'] == $pagenext[$n]) {$in = $n;}
+			}
+
+			$picturenext[$in] = $rownext;
+			$picturenext[$in]['is_picture'] = false;
+
+			if (in_array(get_extension($rownext['file']), $conf['picture_ext']))
+			{
+				$picturenext[$in]['is_picture'] = true;
+			}
+
+			$picturenext[$in]['image_url'] = get_image_url( $picturenext[$in] );
+		}
+
+		for ($n = 1; $n <= $nb_image; $n++) {
+			if (isset($picturenext[$n]['image_url'])) { $image_next[$n] = $picturenext[$n]['image_url']; }
+		}
+	  
+	  $template->assign('U_IMGNEXT', $image_next );
+
+	}
+
+}
+
 ?>