Index: /trunk/language/pl_PL/about.html
===================================================================
--- /trunk/language/pl_PL/about.html	(revision 12183)
+++ /trunk/language/pl_PL/about.html	(revision 12184)
@@ -8,4 +8,5 @@
 	<ul>
 		<li><a href="http://pl.piwigo.org/forum/profile.php?id=5244">emcek</a></li>
+		<li><a href="http://pl.piwigo.org/forum/profile.php?id=4657">kuba</a></li>
 		<li><a href="http://pl.piwigo.org/forum/profile.php?id=4624">voyteckst</a></li>
 	</ul>
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 12183)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 12184)
@@ -826,4 +826,37 @@
 $lang['You can update to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'Możesz aktualizować bezpośrednio do Piwigo %s, bez potrzeby wcześniejszej aktualizacji do wersji %s (zalecane).';
 $lang['Save Template Directory'] = 'Zachowaj katalog szablonów';
-
+$lang['Dump Database'] = 'Zrzut Bazy Danych';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Dołącz informacje o historii (Uwaga: limit pamięci serwera może zostać przekroczony)';
+$lang['Unable to write new local directory.'] = 'Błąd zapisu nowego katalogu lokalnego.';
+$lang['Unable to send template directory.'] = 'Błąd wysyłania katalogu szablonów.';
+$lang['Unable to dump database.'] = 'Błąd zrzucania bazy danych.';
+$lang['Some upgrades are available for extensions.'] = 'Niektóre rozszerzenia posiadają aktualizacje.';
+$lang['Ignore All'] = 'Ignoruj wszystko';
+$lang['Crop'] = 'Przytnij';
+$lang['Width'] = 'Szerokość';
+$lang['Height'] = 'Wysokość';
+$lang['Follow Orientation'] = 'Zgodnie z orientacją';
+$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Jeśli chcesz odświeżyć miniatury - przejdź do <a href="%s">Menadżera Wsadowego</a>.';
+$lang['Graphics Library'] = 'Biblioteki Graficzne';
+$lang['... or '] = '... lub ';
+$lang['Create'] = 'Utwórz';
+$lang['Start Upload'] = 'Rozpocznij wysyłanie';
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'Używasz trybu Flash. Problem? Spróbuj <a href="%s">interfejsu przeglądarkowego</a>.';
+$lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = 'Używasz trybu przeglądarki. Wypróbuj <a href="%s">trybu Flash</a>.';
+$lang['Maximum file size: %sB.'] = 'Maksymalny rozmiar pliku: %sB.';
+$lang['Allowed file types: %s.'] = 'Dostępne typy plików: %s.';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Przybliżona maksymalna rozdzielczość: %dM pikseli (tj. %dx%d pikseli).';
+$lang['Manage Permissions'] = 'Zarządzaj uprawnieniami';
+$lang['Photo %s of %s'] = 'Zdjęcie %s z %s';
+$lang['show details'] = 'pokaż szczegóły';
+$lang['hide details'] = 'ukryj szczegóły';
+$lang['Merge tags'] = 'Połącz tagi';
+$lang['Select the destination tag'] = 'Wybierz tag docelowy';
+$lang['(this tag will be deleted)'] = '(ten tag zostanie usunięty)';
+$lang['Confirm merge'] = 'Zatwierdź łączenie';
+$lang['Merge selected tags'] = 'Połącz wybrane tagi';
+$lang['No destination tag selected'] = 'Nie wybrano taga docelowego';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Tagi <em>%s</em> połączono w tag <em>%s</em>';
+$lang['Select at least two tags for merging'] = 'Wybierz co najmniej dwa tagi do łączenia';
+$lang['Select an album'] = 'Wybierz album';
 ?>
Index: /trunk/language/pl_PL/common.lang.php
===================================================================
--- /trunk/language/pl_PL/common.lang.php	(revision 12183)
+++ /trunk/language/pl_PL/common.lang.php	(revision 12184)
@@ -376,3 +376,5 @@
 $lang['Enter your new password below.'] = 'Wpisz poniżej swoje nowe hasło.';
 $lang['Reset Password'] = 'Resetuj hasło';
+$lang['EXIF Metadata'] = 'Metadane EXIF';
+$lang['IPTC Metadata'] = 'Metadane IPTC';
 ?>