Index: /extensions/Copyrights/TODO
===================================================================
--- /extensions/Copyrights/TODO	(revision 12191)
+++ /extensions/Copyrights/TODO	(revision 12192)
@@ -6,3 +6,3 @@
 === Bugs ===
 -	We don't check if the CR url has 'http://' (or is this a TODO?)
-- Maybe: Cancel buttons in Admin Panel
+-	Maybe: Cancel buttons in Admin Panel
Index: /extensions/Copyrights/admin.php
===================================================================
--- /extensions/Copyrights/admin.php	(revision 12191)
+++ /extensions/Copyrights/admin.php	(revision 12192)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/Copyrights/admin.tpl
===================================================================
--- /extensions/Copyrights/admin.tpl	(revision 12191)
+++ /extensions/Copyrights/admin.tpl	(revision 12192)
@@ -16,9 +16,9 @@
         <tr>
           <td>{'Name'|@translate}</td>
-          <td><input type='text' name='name' id='name' value='{$CRname}' /></td>
+          <td><input type='text' name='name' id='name' value='{$CRname|escape}' /></td>
         </tr>
         <tr>
           <td>{'URL'|@translate}</td>
-          <td><input type='text' name='url'  id='url'  value='{$CRurl}' /></td>
+          <td><input type='text' name='url'  id='url'  value='{$CRurl|escape}' /></td>
         </tr>
         <tr>
Index: /extensions/Copyrights/index.php
===================================================================
--- /extensions/Copyrights/index.php	(revision 12191)
+++ /extensions/Copyrights/index.php	(revision 12192)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/Copyrights/main.inc.php
===================================================================
--- /extensions/Copyrights/main.inc.php	(revision 12191)
+++ /extensions/Copyrights/main.inc.php	(revision 12192)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Copyrights
-Version: 1.1.1
+Version: 1.2.a
 Description: Create copyrights and assign them to your photos.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=537
@@ -11,5 +11,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /extensions/Copyrights/maintain.inc.php
===================================================================
--- /extensions/Copyrights/maintain.inc.php	(revision 12191)
+++ /extensions/Copyrights/maintain.inc.php	(revision 12192)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
@@ -23,24 +23,24 @@
 
 function plugin_install() {
-  global $conf, $prefixeTable;
-  $query = "
-    CREATE TABLE IF NOT EXISTS ".$prefixeTable."copyrights_admin (
-      cr_id int(11) NOT NULL AUTO_INCREMENT,
-      name varchar(255) UNIQUE NOT NULL,
-      url varchar(255) NOT NULL,
-      descr text DEFAULT NULL,
-      visible bool DEFAULT 0,
-      PRIMARY KEY (cr_id)
-    ) ENGINE=MyISAM DEFAULT CHARACTER SET utf8
-    ;";
-  pwg_query($query);
+	global $prefixeTable;
+	$query = '
+		CREATE TABLE IF NOT EXISTS '.$prefixeTable.'copyrights_admin (
+			cr_id int(11) NOT NULL AUTO_INCREMENT,
+			name varchar(255) UNIQUE NOT NULL,
+			url varchar(255) NOT NULL,
+			descr text DEFAULT NULL,
+			visible bool DEFAULT 0,
+			PRIMARY KEY (cr_id)
+		) ENGINE=MyISAM DEFAULT CHARACTER SET utf8
+		;';
+	pwg_query($query);
 
-  $query = "
-    CREATE TABLE IF NOT EXISTS ".$prefixeTable."copyrights_media (
+  $query = '
+    CREATE TABLE IF NOT EXISTS '.$prefixeTable.'copyrights_media (
       media_id int(11) NOT NULL,
       cr_id int(11) NOT NULL,
       PRIMARY KEY (media_id)
     ) ENGINE = MyISAM DEFAULT CHARACTER SET utf8
-    ;";
+    ;';
   pwg_query($query);
 }
@@ -62,12 +62,12 @@
   global $prefixeTable;
 
-  $query = "
-    DROP TABLE ".$prefixeTable."copyrights_admin
-    ;";
+  $query = '
+    DROP TABLE '.$prefixeTable.'copyrights_admin
+    ;';
   pwg_query($query);
 
-  $query = "
-    DROP TABLE ".$prefixeTable."copyrights_media
-    ;";
+  $query = '
+    DROP TABLE '.$prefixeTable.'copyrights_media
+    ;';
   pwg_query($query);
 }