Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 12192)
+++ /trunk/language/da_DK/admin.lang.php	(revision 12193)
@@ -732,3 +732,5 @@
 $lang['Set title'] = 'Vælg titel';
 $lang['Learn more'] = 'Lær mere';
+$lang['Rate'] = 'Bedøm';
+$lang['Average rate'] = 'Gennemsnitlig karakter';
 ?>
Index: /trunk/language/da_DK/common.lang.php
===================================================================
--- /trunk/language/da_DK/common.lang.php	(revision 12192)
+++ /trunk/language/da_DK/common.lang.php	(revision 12193)
@@ -36,5 +36,4 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%.2f (rated %d times)'] = '%.2f (bedømt %d gange)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d album updated'] = '%d kategori opdateret';
@@ -58,5 +57,4 @@
 $lang['At least one tag must match'] = 'Mindst en tag skal passe';
 $lang['Author'] = 'Fotograf';
-$lang['Average rate'] = 'Gennemsnitlig karakter';
 $lang['Albums'] = 'kategorier';
 $lang['Album'] = 'kategori';
@@ -103,5 +101,4 @@
 $lang['Quick connect'] = 'Quick connect';
 $lang['RSS feed'] = 'RSS feed';
-$lang['Rate'] = 'Bedøm';
 $lang['Register'] = 'Registrer';
 $lang['Registration'] = 'Registrering';
@@ -354,3 +351,27 @@
 $lang['validate this comment'] = 'godkend denne kommentar';
 $lang['html tags are not allowed in login'] = 'html tags er ikke tilladt i login';
+$lang['%d rates'] = '%d rates';
+$lang['Rating score'] = 'Rating score';
+$lang['Enter a username or email address'] = 'Indtast brugernavn eller email adresse';
+$lang['Invalid username or email'] = 'Forkert brugernavn eller email';
+$lang['Password reset is not allowed for this user'] = 'Password reset er ikke tilladt for denne bruger';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Bruger "%s" har ingen email adresse, password reset er ikke muligt';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Nogen har anmodet om at resette passwordet til den følgende brugerkonto:';
+$lang['Username "%s" on gallery %s'] = 'Brugernavn "%s" i galleri %s';
+$lang['To reset your password, visit the following address:'] = 'For at resette dit password, besøg følgenden adresse:';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Hvis dette var en fejl, ignorer denne email og der vil ikke ske noget.';
+$lang['Password Reset'] = 'Password Reset';
+$lang['Check your email for the confirmation link'] = 'Check din email hvor der er bekræftelses link';
+$lang['Invalid key'] = 'Invalid key';
+$lang['The passwords do not match'] = 'Passwordet matcher ikke';
+$lang['Your password has been reset'] = 'Dit password er resat';
+$lang['Return to home page'] = 'Retur til forsiden';
+$lang['Please enter your username or email address.'] = 'Indtast dit brugernavn eller email adresse.';
+$lang['You will receive a link to create a new password via email.'] = 'Du vil modtage et lint for at danne et nyt password via emaill.';
+$lang['Username or email'] = 'Brugernavn eller email';
+$lang['Change my password'] = 'Ændre mit password';
+$lang['Enter your new password below.'] = 'Indtast dit nye password herunder.';
+$lang['Reset Password'] = 'Reset Password';
+$lang['EXIF Metadata'] = 'EXIF Metadata';
+$lang['IPTC Metadata'] = 'IPTC Metadata';
 ?>
Index: /trunk/language/da_DK/install.lang.php
===================================================================
--- /trunk/language/da_DK/install.lang.php	(revision 12192)
+++ /trunk/language/da_DK/install.lang.php	(revision 12193)
@@ -53,5 +53,4 @@
 $lang['Webmaster mail address'] = 'Webmaster mail addresse';
 $lang['Visitors will be able to contact site administrator with this mail'] = 'Besøgende vil have mulighed for at kontakte administratoren med denne mail';
-
 $lang['PHP 5 is required'] = 'PHP 5 er nødvendig';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Din webhost har PHP %s.';
@@ -63,5 +62,4 @@
 $lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Du henvises til din webhost for at se hvordan du selv kan skifte til PHP 5.";
 $lang['Hope to see you back soon.'] = 'Håber snart at se dig igen.';
-
 $lang['Congratulations, Piwigo installation is completed'] = 'Tillykke, Piwigo installationen er slut';
 $lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'En alternativ måde er at kopiere teksten i boksen ovenover og sætte den ind i filen "local/config/database.inc.php" (Advarsel : database.inc.php må kun indeholde hvad der er i tekstfeltet, ingen linieskift eller andet.)';
@@ -69,3 +67,6 @@
 $lang['Download the config file'] = 'Download config filen';
 $lang['You can download the config file and upload it to local/config directory of your installation.'] = 'Du kan downloade config filen og uploade den til local/config i din installation.';
+$lang['Just another Piwigo gallery'] = 'Bare et andet Piwigo galleri';
+$lang['Welcome to my photo gallery'] = 'Velkommen til mit photo galleri';
+
 ?>