Index: /extensions/LCAS/trunk/admin/LCAS_admin.php
===================================================================
--- /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 12205)
+++ /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 12206)
@@ -22,5 +22,5 @@
 
 load_language('plugin.lang', LCAS_PATH);
-load_language('help/plugin.lang', LCAS_PATH);
+load_language('help.lang', LCAS_PATH);
 
 $error = array();
Index: /extensions/LCAS/trunk/language/en_UK/help.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/help.lang.php	(revision 12206)
+++ /extensions/LCAS/trunk/language/en_UK/help.lang.php	(revision 12206)
@@ -0,0 +1,29 @@
+<?php
+global $lang;
+
+$lang['LCAS_sensitiveTitle'] = 'Sensitivities to the registration and identification';
+$lang['LCAS_sensitiveTitle_d'] = '
+Piwigo can be case insensitive but does not manage the accent insensitivity, and then only to the registration of new users. LCAS provides a more thorough insensitivity to registration and identification of users. The following options are available:<br><br>
+- Usernames case sensitive or not<br>
+- Usernames accent sensitive or not<br>
+- Customizing the text of the email notification<br>
+';
+
+$lang['LCAS_caseSensitiveTitle'] = 'Options';
+$lang['LCAS_caseSensitiveTitle_d'] = 'These options allow users to be identified either ignoring the case (capitalization) of their username, or without regard to accents, or regardless of either.<br>
+<b style=&quot;color: red;&quot;>Note: The password is still sensitive to all the characters!</b><br>
+Béatrice is going to be happy!<br>
+';
+
+
+$lang['LCAS_userlistTitle'] = 'User verification';
+$lang['LCAS_userlistTitle_d'] = 'This page shows the users who should be modified to enable this option.<br><br>
+If two users are already registered, for example, <em>Test</em> and <em>test</em>, and the option for case insensitivity is checked, they can no longer connect properly.<br>
+You have to change one of these users and, optionaly, prevent him by using the link to send an email.';
+
+$lang['LCAS_Email_Customization'] = 'Customizing email notification';
+$lang['LCAS_Email_Customization_d'] = 'You can customize the text to be sent with the notification. Use the tags [lang] for a custom multi-lingual if the plugin Extended Description is active.';
+
+$lang['LCAS_MailTitle'] = 'Email Notification';
+$lang['LCAS_MailTitle_d'] = 'Choose here if an email notification should be automatically sent to users whose login has been changed to match the new rules of sensitivity.';
+?>
Index: /extensions/LCAS/trunk/language/fr_FR/help.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/help.lang.php	(revision 12206)
+++ /extensions/LCAS/trunk/language/fr_FR/help.lang.php	(revision 12206)
@@ -0,0 +1,29 @@
+<?php
+global $lang;
+
+$lang['LCAS_sensitiveTitle'] = 'Sensibilités à l\'enregistrement et l\'identification';
+$lang['LCAS_sensitiveTitle_d'] = '
+Piwigo permet de rendre insensible à la casse mais ne gère pas l\'insensibilité aux accents, et ceci uniquement à l\'inscription des nouveaux utilisateurs. LCAS apporte une gestion plus approfondie des insensibilités à l\'inscription et l\'identification des utilisateurs. Les options suivantes sont proposées:<br><br>
+- Noms d\'utilisateur sensible ou non à la casse<br>
+- Noms d\'utilisateur sensible ou non aux accents<br>
+- Personnalisation du texte de l\'email de notification
+';
+
+$lang['LCAS_caseSensitiveTitle'] = 'Les options';
+$lang['LCAS_caseSensitiveTitle_d'] = 'Ces options permettent que les utilisateurs soient identifiés soit sans tenir compte de la casse (majuscules et minuscules) de leur identifiant, soit sans tenir compte des accents, soit sans tenir compte d\'aucun des deux.<br>
+<b style=&quot;color: red;&quot;>NB: Le mot de passe reste sensible à tous les caractères !</b><br>
+C\'est Béatrice qui va être contente !<br>
+';
+
+
+$lang['LCAS_userlistTitle'] = 'Vérification des utilisateurs';
+$lang['LCAS_userlistTitle_d'] = 'Cette page affiche les utilisateurs qui doivent être modifiés afin d\'activer cette option.<br><br>
+Si deux utilisateurs sont déjà enregistrés, par exemple, <em>Test</em> et <em>test</em>, et que l\'option pour l\'insensibilité à la casse est cochée, ils ne pourront plus se connecter correctement.<br>
+Vous devez modifier l\'un des deux utilisateurs et éventuellement le prévenir avec le lien pour envoyer un email.';
+
+$lang['LCAS_Email_Customization'] = 'Personnalisation de la notification par email';
+$lang['LCAS_Email_Customization_d'] = 'Vous pouvez personnaliser le texte à envoyer lors de la notification. Utilisez les balises [lang] pour une personnalisation multi-langues si le plugin Extended Description est actif.';
+
+$lang['LCAS_MailTitle'] = 'Notification par email';
+$lang['LCAS_MailTitle_d'] = 'Choisissez ici si un email de notification doit être envoyé automatiquement aux utilisateurs dont le login a dû être modifié pour correspondre aux nouvelles règles de sensibilité.';
+?>