Index: /extensions/Comments_Access_Manager/admin.php
===================================================================
--- /extensions/Comments_Access_Manager/admin.php	(revision 12206)
+++ /extensions/Comments_Access_Manager/admin.php	(revision 12207)
@@ -17,5 +17,5 @@
 
 load_language('plugin.lang', CM_PATH);
-load_language('help/plugin.lang', CM_PATH);
+load_language('help.lang', CM_PATH);
 
 
Index: /extensions/Comments_Access_Manager/language/en_UK/help.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/en_UK/help.lang.php	(revision 12207)
+++ /extensions/Comments_Access_Manager/language/en_UK/help.lang.php	(revision 12207)
@@ -0,0 +1,30 @@
+<?php
+$lang['CM_commentTitle'] = 'Nickname mandatory for guests comments';
+$lang['CM_commentTitle_d'] = 'If <b>&quot;Comments for all&quot;</b> is active (authority to unregistered visitors to post comments), this option allows to force the non-registered visitor to enter a nickname that the comment is accepted.';
+$lang['CM_GroupCommTitle'] = 'Allow comments to a group of users';
+$lang['CM_GroupCommTitle_d'] = 'This option lets you specify a group of users who will allowed to post comments when the gallery is configured to not allow comments for all.
+<br><br>
+By default, when <b>&quot;comments for all&quot;</b> option is disabled, only registered users can post comments. With this option, you can restrict this behavior by specifying a user group. Thus, only registered users and members of this group may post comments.';
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.1
+$lang['CM_ValidCommTitle'] = 'Allow comments without validation by an administrator';
+// --------- End: New or revised $lang ---- from version 2.2.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['CM_ValidCommTitle_d'] = 'This option lets you specify a group of users whose comments will be provided without validation by the administrator when the gallery is configured to <u>not allow comments to all</u> and that the validation of comments by an administrator is required.
+<br><br>
+By default, when <b>&quot;comments all&quot;</b> is disabled and the validation of comments is enabled, the comments of all registered users are subject to validation by an administrator before being visible on the gallery. With this option, you can allow members of a group of your choice to post comments without such prior approval is required.';
+$lang['CM_ValidComm2Title'] = 'Allow comments without validation by an administrator';
+$lang['CM_ValidComm2Title_d'] = 'This option lets you specify a group of users whose comments will be provided without validation by the administrator when the gallery is configured to <u>allow comments to all</u> and that the validation of comments by an administrator is required.
+<br><br>
+By default, when <b>&quot;comments all&quot;</b> and the validation of comments are enabled, the comments of all registered users are subject to validation by an administrator before being visible on the gallery. With this option, you can allow members of a group of your choice to post comments without such prior approval is required.';
+// --------- End: New or revised $lang ---- from version 2.2.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.6
+$lang['CM_CommentsValidationOffTitle'] = '&quot;Validation&quot; for comments is disabled';
+$lang['CM_CommentsValidationOffTitle_d'] = 'Enable this option to see, here, the extended parameters.';
+// --------- End: New or revised $lang ---- from version 2.2.6
+?>
Index: /extensions/Comments_Access_Manager/language/fr_FR/help.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/fr_FR/help.lang.php	(revision 12207)
+++ /extensions/Comments_Access_Manager/language/fr_FR/help.lang.php	(revision 12207)
@@ -0,0 +1,30 @@
+<?php
+$lang['CM_commentTitle_d'] = 'Lorsque les visiteurs non inscrits sont autorisés à poster des commentaires (<b>&quot;Commentaires pour tous&quot;</b> actif), cette option oblige le visiteur non inscrit à saisir un pseudo pour que le commentaire soit accepté.';
+$lang['CM_GroupCommTitle'] = 'Autoriser les commentaires pour un groupe d\'utilisateurs';
+$lang['CM_GroupCommTitle_d'] = 'Cette option permet de spécifier un groupe d\'utilisateurs qui seront autorisés à poster des commentaires lorsque la galerie est configurée pour ne pas autoriser les commentaires pour tous.
+<br><br>
+Par défaut, lorsque les <b>&quot;commentaires pour tous&quot;</b> sont désactivés, seuls les utilisateurs inscrits peuvent poster des commentaires. Avec cette option, vous pouvez restreindre d\'avantage ce fonctionnement en précisant un groupe d\'utilisateurs. Ainsi, seuls les utilisateurs inscrits et faisant partie de ce groupe pourront poster des commentaires.';
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.1
+$lang['CM_commentTitle'] = 'Pseudo obligatoire pour les non-inscrits.';
+$lang['CM_ValidCommTitle'] = 'Autoriser les commentaires sans validation par un administrateur';
+// --------- End: New or revised $lang ---- from version 2.2.1
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.2
+$lang['CM_ValidCommTitle_d'] = 'Cette option permet de spécifier un groupe d\'utilisateurs dont les commentaires seront dispensés de validation par l\'administrateur lorsque la galerie est configurée pour <u>ne pas autoriser</u> les commentaires pour tous et que la validation des commentaires par un administrateur est requise.
+<br><br>
+Par défaut, lorsque les <b>&quot;commentaires pour tous&quot;</b> sont désactivés et que la validation des commentaires est activée, les commentaires de tous les utilisateurs inscrits sont soumis à validation par un administrateur avant d\'être visibles sur la galerie. Avec cette option, vous pouvez autoriser les membres d\'un groupe de votre choix à poster des commentaires sans que cette validation préalable ne soit nécessaire.';
+$lang['CM_ValidComm2Title'] = 'Autoriser les commentaires sans validation par un administrateur';
+$lang['CM_ValidComm2Title_d'] = 'Cette option permet de spécifier un groupe d\'utilisateurs dont les commentaires seront dispensés de validation par l\'administrateur lorsque la galerie est configurée <u>pour autoriser</u> les commentaires pour tous et que la validation des commentaires par un administrateur est requise.
+<br><br>
+Par défaut, lorsque les <b>&quot;commentaires pour tous&quot;</b> et la validation des commentaires sont activés, les commentaires de tous les utilisateurs inscrits sont soumis à validation par un administrateur avant d\'être visibles sur la galerie. Avec cette option, vous pouvez autoriser les membres d\'un groupe de votre choix à poster des commentaires sans que cette validation préalable ne soit nécessaire.';
+// --------- End: New or revised $lang ---- from version 2.2.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.2.6
+$lang['CM_CommentsValidationOffTitle'] = 'L\'option &quot;Validation&quot; pour les commentaires est désactivée';
+$lang['CM_CommentsValidationOffTitle_d'] = 'Activez l\'option pour accéder, ici, aux paramètres étendus.';
+// --------- End: New or revised $lang ---- from version 2.2.6
+?>