Index: /extensions/GMaps/gmaps_pip.class.inc.php
===================================================================
--- /extensions/GMaps/gmaps_pip.class.inc.php	(revision 12212)
+++ /extensions/GMaps/gmaps_pip.class.inc.php	(revision 12213)
@@ -297,5 +297,6 @@
       boundmap:'".l10n('gmaps_i_boundmap')."',
       boundkml:'".l10n('gmaps_i_boundkml')."',
-      loading:'".l10n('gmaps_loading')."'
+      loading:'".l10n('gmaps_loading')."',
+      gmaps_i_show_this_picture_in:'".l10n('gmaps_i_show_this_picture_in')."'
     },
     requestId:'',
Index: /extensions/GMaps/gmaps_root.class.inc.php
===================================================================
--- /extensions/GMaps/gmaps_root.class.inc.php	(revision 12212)
+++ /extensions/GMaps/gmaps_root.class.inc.php	(revision 12213)
@@ -235,12 +235,11 @@
         if($id!=0)
         {
-          $sql.=" AND pct.id = '$id' ";
+          $sql.=" AND (pgcm.categoryId ='$id' or pct.id!='$id' AND pgcm.applySubCat='y') ";
         }
         else
         {
-          $sql.=" AND pgcm.categoryId = 0 ";
+          $sql.=" AND pgcm.categoryId = 0 AND pgcm.applySubCat='y' ";
         }
-        $sql.=" AND pgcm.applySubCat='y'
-              ORDER BY priorityRank DESC, pgmm.displayType ASC, pgcm.categoryId ASC, pgcm.imgSort ASC;";
+        $sql.=" ORDER BY priorityRank DESC, pgmm.displayType ASC, pgcm.categoryId ASC, pgcm.imgSort ASC;";
       }
       elseif($mode==self::ID_MODE_MAP)
@@ -259,5 +258,4 @@
         return(false);
       }
-
       $result=pwg_query($sql);
 
Index: /extensions/GMaps/js/gmapsInfoWindow.js
===================================================================
--- /extensions/GMaps/js/gmapsInfoWindow.js	(revision 12212)
+++ /extensions/GMaps/js/gmapsInfoWindow.js	(revision 12213)
@@ -93,5 +93,5 @@
                                               ).append($('<span/>',
                                                           {
-                                                            html:'gmaps_i_show_this_picture_in'
+                                                            html:gmaps.lang.gmaps_i_show_this_picture_in
                                                           }
                                                         )
Index: /extensions/GMaps/js/gmapsInfoWindow.min.js
===================================================================
--- /extensions/GMaps/js/gmapsInfoWindow.min.js	(revision 12212)
+++ /extensions/GMaps/js/gmapsInfoWindow.min.js	(revision 12213)
@@ -1,2 +1,2 @@
 /* file: gmapsInfoWindow.js - v1.0.0 | minified on 2011/09/23 with http://jscompress.com/ */
-function initInfoWindow(){if($("#iGMapsInfoWindow").length==0){$("body").append($("<div/>",{id:"iGMapsInfoWindow",css:{display:"none"}}).append($("<div/>",{id:"iGMapsInfoWindowContent"}).append($("<div/>",{id:"iGMIWC_title",html:"(title)"})).append($("<table/>",{id:"iGMIWC_thumb"}).append($("<tr/>").append($("<td/>",{css:{width:"28px"}}).append($('<div id="iWALeft"/>'))).append($("<td/>").append($("<img/>",{id:"iGMIWC_img",src:""}))).append($("<td/>",{css:{width:"28px"}}).append($('<div id="iWARight">'))))).append($("<div/>",{id:"iGMIWC_picnum",html:"0/0 photo"})).append($("<div/>",{id:"iGMIWC_showcat",css:{display:"none"}}).append($("<span/>",{html:"gmaps_i_show_this_picture_in"})).append($("<ul/>",{id:"iGMIWC_showcatList"})))))}}
+function initInfoWindow(){if($("#iGMapsInfoWindow").length==0){$("body").append($("<div/>",{id:"iGMapsInfoWindow",css:{display:"none"}}).append($("<div/>",{id:"iGMapsInfoWindowContent"}).append($("<div/>",{id:"iGMIWC_title",html:"(title)"})).append($("<table/>",{id:"iGMIWC_thumb"}).append($("<tr/>").append($("<td/>",{css:{width:"28px"}}).append($('<div id="iWALeft"/>'))).append($("<td/>").append($("<img/>",{id:"iGMIWC_img",src:""}))).append($("<td/>",{css:{width:"28px"}}).append($('<div id="iWARight">'))))).append($("<div/>",{id:"iGMIWC_picnum",html:"0/0 photo"})).append($("<div/>",{id:"iGMIWC_showcat",css:{display:"none"}}).append($("<span/>",{html:gmaps.lang.gmaps_i_show_this_picture_in})).append($("<ul/>",{id:"iGMIWC_showcatList"})))))}}
Index: /extensions/GMaps/main.inc.php
===================================================================
--- /extensions/GMaps/main.inc.php	(revision 12212)
+++ /extensions/GMaps/main.inc.php	(revision 12213)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: GMaps
-Version: 1.3.1
+Version: 1.3.2
 Description: Display and manage (google) maps
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=454
@@ -116,4 +116,7 @@
 |         |            |     in Gmaps plugin manager
 |         |            |
+|         |            | * mantis bug:2042
+|         |            |   . Category map is not available if option "apply to
+|         |            |     subcategories" is not selected
 |         |            |
 |         |            |