Index: /extensions/AMetaData/amd_ajax.php
===================================================================
--- /extensions/AMetaData/amd_ajax.php	(revision 12221)
+++ /extensions/AMetaData/amd_ajax.php	(revision 12222)
@@ -1555,10 +1555,10 @@
                 foreach($list as $subTag)
                 {
-                  $keywordsList[]="('".mysql_escape_string(trim($subTag))."', ".$row['imageId'].")";
+                  $keywordsList[]="('".pwg_db_real_escape_string(trim($subTag))."', ".$row['imageId'].")";
                 }
               }
               else
               {
-                $keywordsList[]="('".mysql_escape_string($val)."', ".$row['imageId'].")";
+                $keywordsList[]="('".pwg_db_real_escape_string($val)."', ".$row['imageId'].")";
               }
             }
@@ -1566,5 +1566,5 @@
           else
           {
-            $keywordsList[]="('".mysql_escape_string($row['value'])."', ".$row['imageId'].")";
+            $keywordsList[]="('".pwg_db_real_escape_string($row['value'])."', ".$row['imageId'].")";
           }
         }
@@ -1660,10 +1660,10 @@
                 foreach($list as $subTag)
                 {
-                  $keywordsList[]="('".mysql_escape_string(trim($subTag))."', ".$row['imageId'].")";
+                  $keywordsList[]="('".pwg_db_real_escape_string(trim($subTag))."', ".$row['imageId'].")";
                 }
               }
               else
               {
-                $keywordsList[]="('".mysql_escape_string($val)."', ".$row['imageId'].")";
+                $keywordsList[]="('".pwg_db_real_escape_string($val)."', ".$row['imageId'].")";
               }
             }
@@ -1671,5 +1671,5 @@
           else
           {
-            $keywordsList[]="('".mysql_escape_string($row['value'])."', ".$row['imageId'].")";
+            $keywordsList[]="('".pwg_db_real_escape_string($row['value'])."', ".$row['imageId'].")";
           }
         }
@@ -1687,5 +1687,5 @@
             foreach($keywords as $key => $val)
             {
-              $keywords[$key]="(att.value LIKE '".mysql_escape_string($val)."')";
+              $keywords[$key]="(att.value LIKE '".pwg_db_real_escape_string($val)."')";
             }
             /*
@@ -1703,5 +1703,5 @@
               while($row=pwg_db_fetch_assoc($result))
               {
-                $sql[]="('', '".mysql_escape_string($row['value'])."', '".mysql_escape_string(str2url($row['value']))."')";
+                $sql[]="('', '".pwg_db_real_escape_string($row['value'])."', '".pwg_db_real_escape_string(str2url($row['value']))."')";
               }
               if(count($sql)>0)
Index: /extensions/AMetaData/amd_root.class.inc.php
===================================================================
--- /extensions/AMetaData/amd_root.class.inc.php	(revision 12221)
+++ /extensions/AMetaData/amd_root.class.inc.php	(revision 12222)
@@ -286,5 +286,5 @@
           //if($sqlInsert!="") $sqlInsert.=", ";
           //$sqlInsert.="($imageId, '$numId', '".addslashes($value)."')";
-          $massInsert[]="('$imageId', '$numId', '".mysql_escape_string($value)."') ";
+          $massInsert[]="('$imageId', '$numId', '".pwg_db_real_escape_string($value)."') ";
         }
       }
Index: /extensions/AMetaData/amd_version.inc.php
===================================================================
--- /extensions/AMetaData/amd_version.inc.php	(revision 12221)
+++ /extensions/AMetaData/amd_version.inc.php	(revision 12222)
@@ -17,6 +17,6 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('AMD_VERSION',  '0.6.0');
-  define('AMD_VERSION2', '00.06.00');
-  define('AMD_GPC_NEEDED', '3.5.1');
+  define('AMD_VERSION',  '0.6.1');
+  define('AMD_VERSION2', '00.06.01');
+  define('AMD_GPC_NEEDED', '3.5.2');
 ?>
Index: /extensions/AMetaData/main.inc.php
===================================================================
--- /extensions/AMetaData/main.inc.php	(revision 12221)
+++ /extensions/AMetaData/main.inc.php	(revision 12222)
@@ -207,4 +207,14 @@
 |         |            | * mantis bug:2222
 |         |            |   . Division by zero with Exif ShutterSpeedValue
+|         |            |
+| 0.6.1   | 2011-09-25 | * mantis bug:2028
+|         |            |   . Use of deprecated function
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
+|         |            |
 |         |            |
 |         |            |